uk.gov.hmrc.auth.core.retrieve

# CompositeRetrieval

###
Related Doc: package retrieve

#### case class CompositeRetrieval[A, B](retrievalA: Retrieval[A], retrievalB: Retrieval[B]) extends Retrieval[~[A, B]] with Product with Serializable

A Retrieval for two properties on successful authorisation

Linear Supertypes
Serializable, Serializable, Product, Equals, Retrieval[~[A, B]], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CompositeRetrieval
2. Serializable
3. Serializable
4. Product
5. Equals
6. Retrieval
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CompositeRetrieval(retrievalA: Retrieval[A], retrievalB: Retrieval[B])

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def and[B](other: Retrieval[B]): Retrieval[~[~[A, B], B]]

   Allows simpler and more concise code for the lib user at the call site when authorising

   Allows simpler and more concise code for the lib user at the call site when authorising

   other

     The Retrieval to be joined with this Retrieval

   returns

     A Retrieval[A ~ B] that contains this Retrieval and the one passed in

   Definition Classes
     Retrieval

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def notify(): Unit

    Definition Classes
      AnyRef

13. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

14. #### val propertyNames: Seq[String]

    The properties to return from a successful authorise call.

    The properties to return from a successful authorise call. These have to be explicitly supported by the auth service being called

    returns

      A list of property names to return.

    Definition Classes
      CompositeRetrieval → Retrieval

15. #### lazy val reads: Reads[~[A, B]]

    The Reads that will be used upon the returned JSON

    The Reads that will be used upon the returned JSON

    returns

      JSON Reads

    Definition Classes
      CompositeRetrieval → Retrieval

16. #### val retrievalA: Retrieval[A]

17. #### val retrievalB: Retrieval[B]

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Retrieval[~[A, B]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped